=head1 NAME

Gtk2::ImageMenuItem

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem
                                     +----Gtk2::ImageMenuItem

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new_from_stock> ($stock_id, $accel_group=undef)

=over

=over

=item * $stock_id (string) 

=item * $accel_group (Gtk2::AccelGroup or undef) 

=back

=back

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new_with_label> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = Gtk2::ImageMenuItem-E<gt>B<new_with_mnemonic> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = $image_menu_item-E<gt>B<get_image> 

=over

=back

=head2 $image_menu_item-E<gt>B<set_image> ($image)

=over

=over

=item * $image (Gtk2::Widget) 

=back

=back


=head1 PROPERTIES

=over

=item 'image' (Gtk2::Widget : readable / writable / private)

Child widget to appear next to the menu text

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Item>, L<Gtk2::MenuItem>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

